Subject: bug#19073: Ispell fails to initialise when hunspell does not report any loaded dictionaries

From: PK <[email-masked]>
Date: Wed, 28 Jan 2015 22:09:23 +0100

With relation to the discussion of this bug in gnu.emacs.bug: I've 
installed the latest ezwinport of hunspell 1.3.2 (suggested by Eli
Zaretskii) and ispell still fails with the "ispell-phaf ... nil" error
under my setup of emacs 24.4.1 (Windows), which I described in

     https://lists.gnu.org/archive/html/help-gnu-emacs/2014-04/msg00030.html

for Emacs 24.3, where the setup works fine with the same installation
of hunspell.  Is there an accepted fix to ispell.el under 24.4 for this?
Or an accepted compatible way to invoke ispell?  (Compatible across emacs
versions, that is.)

Clearly something changed for ispell between 24.3 and 24.4 that made my
setup stop working.  But if it's a change I should accommodate, I'd like
to know what to do, because that's not clear to me.

Thanks.

PK